import matplotlib.pyplot as plt
import numpy as np
from polyagamma import polyagamma_pdf
import arviz as az
plt.style.use('arviz-darkgrid')
x = np.linspace(0.01, 5, 500);x.sort()
hs = [1., 5., 10., 15.]
zs = [0.] * 4
for h, z in zip(hs, zs):
    pdf = polyagamma_pdf(x, h=h, z=z)
    plt.plot(x, pdf, label=r'$h$ = {}, $z$ = {}'.format(h, z))
plt.xlabel('x', fontsize=12)
plt.ylabel('f(x)', fontsize=12)
plt.legend(loc=1)
plt.show()